com.r3corda.core.crypto / PublicKeyTree / Node

# Node

`class Node : PublicKeyTree`

Represents a node in the PublicKeyTree. It maintains a list of child nodes – sub-trees, and associated weights carried by child node signatures.

The threshold specifies the minimum total weight required (in the simple case – the minimum number of child signatures required) to satisfy the public key sub-tree rooted at this node.

### Constructors

<init> | `Node(threshold: Int, children: List<PublicKeyTree>, weights: List<Int>)` Represents a node in the PublicKeyTree. It maintains a list of child nodes – sub-trees, and associated weights carried by child node signatures.

### Properties

children | `val children: List<PublicKeyTree>`
threshold | `val threshold: Int`
weights | `val weights: List<Int>`

### Functions

equals | `fun equals(other: Any?): Boolean`
getKeys | `fun getKeys(): Set<PublicKey>` Returns all PublicKeys contained within the tree leaves
hashCode | `fun hashCode(): Int`
isFulfilledBy | `fun isFulfilledBy(keys: Iterable<PublicKey>): Boolean` Checks whether keys match a sufficient amount of leaf nodes

### Inherited Functions

containsAny | `fun containsAny(keys: Iterable<PublicKey>): <ERROR CLASS>` Checks whether any of the given keys matches a leaf on the tree
isFulfilledBy | `fun isFulfilledBy(key: PublicKey): <ERROR CLASS>`
toBase58String | `fun toBase58String(): String`